#ifndef TINY_ACTION_SEEN
#define TINY_ACTION_SEEN

#include <tiny_grammarsymbol.h>
#include <string>

/**
 *
 */
class tiny_action : public tiny_grammarSymbol
{
public:
	enum Types { LhsSector = 1, BeforeRewrite, AfterRewrite };

	tiny_action(const std::string& n, unsigned int i, unsigned int ln)
	: tiny_grammarSymbol(action,n,i,ln)
	{
	}

	~tiny_action() {  }

	const std::string& getString() const { return actionString; }

	void setString(const std::string& s)
	{
		actionString = s;
	}
	
	virtual unsigned int getEncodedId() const { return makeAction(getId()); }

private:
	std::string actionString;
};

#endif
