
grammar test2
{
terminals
   a b c

nonterminals
   S A B C

start S

type int

principles
   .S: .A | .B | .C;

   .A: .a ;
   .B: .b ;
   .C: .c ;

{%
	public:
		void operator()()
		{
			run();
		}
%}

}

source
{%
#include <iostream>

using namespace std;

void test2::getToken(Symbol<int> &s) const
{
	char c;
	cin >> c;

	s.attr  = 0;

	if (c == 'a' || c == 'A')
		s.id = test2::a;
	else if (c == 'b' || c == 'B')
		s.id = test2::b;
	else if (c == 'c' || c == 'C')
		s.id = test2::c;
	else
		s.id = 0;

}

main()
{
   try
   {
      test2 parser;

      parser();
   }
   catch(exception& e)
   {
      cerr << "Exception: " << e.what() << endl;
   }
   catch(...)
   {
      cerr << "unexpected exception" << endl;
   }
}

%}
