/*
	Copyright (c) 2001 Maurice Gittens <maurce@gittens.nl>

   This software is distributed under the GNU General
   Public License.
	See the file COPYING for more information on usage and
	redistribution of this file and for a DISCLAIMER OF ALL
	WARRANTIES.

	Written by Maurice Gittens <maurice@gittens.nl>.
*/

#ifndef TINY_VARIABLE_SEEN
#define TINY_VARIABLE_SEEN

#include <tiny_grammarsymbol.h>
#include <string>

/**
 *
 */
class tiny_variable : public tiny_grammarSymbol
{
public:

	tiny_variable(const std::string& n, unsigned int i, unsigned int ln)
	: tiny_grammarSymbol(variable,n,i,ln)
	{
	}

	~tiny_variable() {  }

	virtual unsigned int getEncodedId() const { return makeVariable(id); }
};

#endif
